package org.apithefire.test;

public class Assert {
	
	private Assert() {
	}
	
	public static void assertTrue(boolean b) {
		if (!b) {
			throw new AssertionError();
		}
	}
	
	public static void assertFalse(boolean b) {
		if (b) {
			throw new AssertionError();
		}
	}
	
	private static boolean equal(Object obj1, Object obj2) {
		return obj1 == null ? obj2 == null : obj1.equals(obj2);
	}
	
	public static void assertEqual(Object obj1, Object obj2) {
		if (!equal(obj1, obj2)) {
			throw new AssertionError(obj1 + " is not equal to " + obj2 + ".");
		}
	}
	
	public static void assertNotEqual(Object obj1, Object obj2) {
		if (equal(obj1, obj2)) {
			throw new AssertionError(obj1 + " is equal to " + obj2 + ".");
		}
	}
	
	public static void assertNull(Object obj) {
		if (obj != null) {
			throw new AssertionError();
		}
	}
	
	public static void assertNotNull(Object obj) {
		if (obj == null) {
			throw new AssertionError();
		}
	}
	
	public static ExceptionAssertion assertException() {
		return new ExceptionAssertion();
	}

}
